@charset "utf-8";
@import url('https://fonts.googleapis.com/css2?family=Gilda+Display&display=swap');
@import url('https://spoqa.github.io/spoqa-han-sans/css/SpoqaHanSansNeo.css');
@import url('https://fonts.googleapis.com/css2?family=Noto+Serif+KR:wght@200..900&display=swap');

:root {
    --gilda:  "Gilda Display";
    --spoqa: 'Spoqa Han Sans Neo';
    --notoSerifKr: "Noto Serif KR";
}


body {
    font-family: var(--spoqa);
    color: #000;
    word-break: keep-all;
    font-weight: 300;
}
::-webkit-scrollbar {
    width: 3px; height: 3px;
    border-left: #000 1px solid;
}
::-webkit-scrollbar-thumb {
    background: rgba(0, 0, 0);
}

/* 마우스커서 이미지 */
*:hover {
    cursor: url(../images/cursorImg_bone_ios17_4_imoticon_30x30.png) 0 0, auto;
}

/* hover 효과 */
span {
    position: relative;
}
span.underline {
    text-decoration: underline 1px rgba(0, 0, 0, 0);
    transition: text-decoration-color 0.2s;
}
span.underline:hover {
    text-decoration-color: #000
}

/* 스크롤막기 */
body.scrollBlock {
    overflow: hidden;
    width: 100vw;
    height: 100vh;
}

/* wrap */
#wrap {
    width: 100%; height: 100vh;
    box-sizing: border-box;
}
#sectionWrap {
    height: calc(100% - 40px);
    display: flex;
    flex-direction: row;
}

/* header */
header {display: none;}


/* 공통 */
section {
    box-sizing: border-box;
    border-right: 1px solid #000;
    overflow-y: auto;
}
.box {
    padding: 50px;
    border-bottom: 1px solid #000;
    box-sizing: border-box;
}
.box:last-child {
    border: none;
}
a {display: inline-block; padding: 5px 0;}


/* snb, classMenu width */
#snb, #classMenu {
    width: 380px;
}

/* snb */
.title_area h1 {
    font-family: var(--gilda), Arial, "Helvetica Neue", Helvetica, sans-serif;
    font-style: italic;
    font-size: 40px;
    font-weight: 400;
    word-break: keep-all;
}
.title_area h1 span {
    font-family: var(--notoSerifKr);
    font-weight: 400;
    font-size: 14px;
    color: rgba(0, 0, 0, 0.8);
    display: block;
    margin-bottom: 40px;
}
.title_area .title_desc {
    display: flex;
    flex-wrap: wrap;
    line-height: 1.6;
    font-family: var(--notoSerifKr);
    margin-bottom: 30px;
}

/* sns_area */
.sns_area {
    display: flex;
    gap: 20px;
}
.sns_area > div > p {
    font-weight: 500;
}
.sns_area > div > P > span {
    display: block;
    font-weight: 400;
    font-size: 14px;
    margin-top: 6px;
}
.sns_area > div > P > span:first-child {
    font-weight: 300;
}
.sns_area .contact_area {
    margin-right: 15px;
}
.sns_area .contactBtn_area .snsBtn:first-child {
    float: left;
    margin-right: 15px;
}
.sns_area .snsBtn {
    border: 1px solid #000;
    padding: 0;
    width: 40px; 
    height: 40px;
    border-radius: 50%;
    margin-bottom: 15px;
    transition: all 0.2s;
    background: no-repeat center / 60%;
}
.sns_area .snsBtn:hover {
    background-color: black;
}
.sns_area .btnTalk {background-image: url(../images/ico_talk.png);}
.sns_area .btnTalk:hover {background-image: url(../images/ico_talk_on.png);}
.sns_area .btnInsta {background-image: url(../images/ico_insta.png);}
.sns_area .btnInsta:hover {background-image: url(../images/ico_insta_on.png);}
.sns_area .btnBlog {background-image: url(../images/ico_naverBlog.png);}
.sns_area .btnBlog:hover {background-image: url(../images/ico_naverBlog_on.png);}


/* postList */
.postList > li {
    line-height: 1.6;
    display: flex;
}
.postList > li:before {
    content: '#';
    font-size: 20px;
    margin-right: 8px;
}

/* classMenu */
#classMenu {
    width: 380px;
}
.classMenu_title {
    font-weight: 500;
    padding: 30px 50px;
    border-bottom: 1px solid #000;
}
.classMenu_li {
    border-bottom: #000 1px solid;
    font-weight: 400;
    color: rgba(0, 0, 0, 0.8);
}
.classMenu_li .classMenu_click {
    width: 100%; height: 100%;
    padding: 30px 30px 30px 80px;
    box-sizing: border-box;
    position: relative;
}
.classMenu_li .classMenu_click:before {
    position: absolute;
    content: '└';
    top: 30px; left: 50px;
    margin-right: 5px;
}
.classMenu_li .classMenu_click:hover {
    color: #000;
    background: #e0e0e0;
}

.classMenu_info {
    padding: 20px;
}
.classMenu_info .info_area {
    background: #e0e0e0;
    padding:  20px;
}
.timeInfo {
    display: flex;
}
.timeInfo .time {
    flex: 1;
    margin-bottom: 30px;
}
.desc p {
    color: rgba(0, 0, 0, .8);
    line-height: 1.6;
    margin-bottom: 30px;
}
.desc a {
    font-size: 14px;
    background: rgba(0, 0, 0, .7);
    color: #fff;
    padding: 10px 10px;
    margin-right: 10px;
    transition: 0.2s;
    margin-bottom: 5px;
}
.desc a:hover {
    background: #000;
}

/* classModal */
.modal {
    position: fixed;
    z-index: 10;
    top: 0; left: 0;
    width: 100vw; height: 100vh;
    display: none;
}
.dim {
    width: 100%; height: 100%;
    background: rgba(0, 0, 0, .3);
}
.classModal , .postModal {
    border: 1px solid #000;
    box-shadow: 0 0 10px rgba(0, 0, 0, .2);
    width: 90%; height: 90%;
    padding: 50px;
    box-sizing: border-box;
    background: #fff;
    position: absolute;
    top: 50%; left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10;
}
.btnPopClose {
    position: absolute;
    top: 20px; right: 20px;
    background: none; border: none;
    z-index: 2;
}
.btnPopClose:hover {
    background: rgba(0, 0, 0, .1);
}

/* classModal_area */
.classModal_area {
    height: 90%;
    padding-bottom: 30px;
    display: flex;
    align-items: center;
    box-sizing: border-box;
}
.classModal_area .text_area {
    height: 100%;
    overflow-y: auto;
    width: 60%;
    padding: 0 40px;
    box-sizing: border-box;
}
/* postModal_area */
.postModal_area {
    height: 90%;
    padding-bottom: 30px;
    display: flex;
    align-items: center;
    box-sizing: border-box;
    gap: 40px;
}
.postModal figure {
    height: 95%;
    text-align: center;
}
.postModal_area figure img {
    height: auto;
    max-height: 90%;
    width: auto;
    max-width: 100%;
}
.postModal_area .text_area {
    height: 100%;
    overflow-y: auto;
    width: 50%;
    box-sizing: border-box;
    font-size: 18px;
}

/* img_area */
#img_area {
    width: 65%;
    background: url(../images/home_main_img.jpg) no-repeat center / cover;
}

/* footer */
footer {
    position: relative;
    z-index: 0;
    bottom: 0; left: 0;
    width: 100%; height: 40px;
    line-height: 40px;
    text-align: center;
    background: #000;
    color: rgba(255, 255, 255, 0.6);
    font-weight: 200;
}
